Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.html.dom
Class HTMLTextAreaElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ChildAndParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl
                                    |
                                    +--weblogic.apache.html.dom.HTMLTextAreaElementImpl

public final class HTMLTextAreaElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLTextAreaElement, HTMLFormControl

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:13 $
Author:
  Assaf Arkin
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `HTMLTextAreaElement`, `ElementImpl`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Constructor Summary
`HTMLTextAreaElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`void` | `blur()`
`void` | `focus()`
`java.lang.String` | `getAccessKey()`
`int` | `getCols()`
`java.lang.String` | `getDefaultValue()`
`boolean` | `getDisabled()`
`java.lang.String` | `getName()`
`boolean` | `getReadOnly()`
`int` | `getRows()`
`int` | `getTabIndex()`
`java.lang.String` | `getType()`
`java.lang.String` | `getValue()`
`void` | `select()`
`void` | `setAccessKey(java.lang.String accessKey)`
`void` | `setCols(int cols)`
`void` | `setDefaultValue(java.lang.String defaultValue)`
`void` | `setDisabled(boolean disabled)`
`void` | `setName(java.lang.String name)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setRows(int rows)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getUserData, removeEventListener, setNodeValue, setPrefix, setUserData, supports, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLTextAreaElementImpl

    public HTMLTextAreaElementImpl(HTMLDocumentImpl owner,
                                   java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getDefaultValue

    public java.lang.String getDefaultValue()

  Specified by:
    getDefaultValue in interface org.w3c.dom.html.HTMLTextAreaElement

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

  Specified by:
    setDefaultValue in interface org.w3c.dom.html.HTMLTextAreaElement

### getAccessKey

    public java.lang.String getAccessKey()

  Specified by:
    getAccessKey in interface org.w3c.dom.html.HTMLTextAreaElement

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

  Specified by:
    setAccessKey in interface org.w3c.dom.html.HTMLTextAreaElement

### getCols

    public int getCols()

  Specified by:
    getCols in interface org.w3c.dom.html.HTMLTextAreaElement

### setCols

    public void setCols(int cols)

  Specified by:
    setCols in interface org.w3c.dom.html.HTMLTextAreaElement

### getDisabled

    public boolean getDisabled()

  Specified by:
    getDisabled in interface org.w3c.dom.html.HTMLTextAreaElement

### setDisabled

    public void setDisabled(boolean disabled)

  Specified by:
    setDisabled in interface org.w3c.dom.html.HTMLTextAreaElement

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface org.w3c.dom.html.HTMLTextAreaElement

### setName

    public void setName(java.lang.String name)

  Specified by:
    setName in interface org.w3c.dom.html.HTMLTextAreaElement

### getReadOnly

    public boolean getReadOnly()

  Specified by:
    getReadOnly in interface org.w3c.dom.html.HTMLTextAreaElement

  Overrides:
    getReadOnly in class NodeImpl

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Specified by:
    setReadOnly in interface org.w3c.dom.html.HTMLTextAreaElement

### getRows

    public int getRows()

  Specified by:
    getRows in interface org.w3c.dom.html.HTMLTextAreaElement

### setRows

    public void setRows(int rows)

  Specified by:
    setRows in interface org.w3c.dom.html.HTMLTextAreaElement

### getTabIndex

    public int getTabIndex()

  Specified by:
    getTabIndex in interface org.w3c.dom.html.HTMLTextAreaElement

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    setTabIndex in interface org.w3c.dom.html.HTMLTextAreaElement

### getType

    public java.lang.String getType()

  Specified by:
    getType in interface org.w3c.dom.html.HTMLTextAreaElement

### getValue

    public java.lang.String getValue()

  Specified by:
    getValue in interface org.w3c.dom.html.HTMLTextAreaElement

### setValue

    public void setValue(java.lang.String value)

  Specified by:
    setValue in interface org.w3c.dom.html.HTMLTextAreaElement

### blur

    public void blur()

  Specified by:
    blur in interface org.w3c.dom.html.HTMLTextAreaElement

### focus

    public void focus()

  Specified by:
    focus in interface org.w3c.dom.html.HTMLTextAreaElement

### select

    public void select()

  Specified by:
    select in interface org.w3c.dom.html.HTMLTextAreaElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD